Skip to main content
PATCH
Update a category

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the category.

Example:

1

Body

application/json
name
string

The name of the category

Example:

"Category Name"

description
string

A description for the category

Example:

"Category description"

position
integer

Category position in the portal list to sort

Example:

1

slug
string

The category slug used in the URL

Example:

"category-name"

locale
string

The locale of the category

Example:

"en"

icon
string

The icon of the category as a string (emoji)

Example:

"๐Ÿ“š"

parent_category_id
integer

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.

Example:

1

associated_category_id
integer

To associate similar categories to each other, e.g same category of product documentation in different languages

Example:

2

Response

Success

Single-category responses are wrapped in a payload key.

payload
object